package com.zcloud.controller.curriculum;

import com.zcloud.controller.base.BaseController;
import com.zcloud.entity.PageData;
import com.zcloud.service.gateway.SynchronizeInformationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import java.util.HashMap;
import java.util.Map;

/**
 * @author fangjiakai
 * @date 2022/9/19/019 11:56
 */
@Controller
@RequestMapping("/videoRes")
public class VideoResController extends BaseController {

    @Autowired
    private SynchronizeInformationService synchronizeInformationService;


    /**去修改页面获取数据
     * @param
     * @throws Exception
     */
    @RequestMapping(value="/getVideoPlayAuth")
    @ResponseBody
    public Object getVideoPlayAuth() throws Exception{
        Map<String,Object> map = new HashMap<String,Object>();
        String errInfo = "success";
        PageData pd = new PageData();
        pd = this.getPageData();

        PageData playAuth = synchronizeInformationService.syncVideoPlayAuth(pd);
        map.put("responseBody", playAuth.get("responseBody"));
        map.put("message", "获取成功。");
        map.put("type", "success");
//        map.put("chapterList", chapterList);
        map.put("result", errInfo);
        return map;
    }

}
